i2p.susi.dns

## Class ConfigBean

- java.lang.Object
- - i2p.susi.dns.ConfigBean

- All Implemented Interfaces:
    Serializable

      public class ConfigBean
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `addressbookPrefix`
    `static String` | `configFileName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigBean()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAction()`
    `String` | `getConfig()`
    `static String` | `getConfigFileName()`
    `String` | `getfileName()`
    `String` | `getMessages()`
    `String` | `getSerial()`
    `boolean` | `isSaved()`
    `void` | `setAction(String action)`
    `void` | `setConfig(String config)`
    `void` | `setSerial(String serial)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### addressbookPrefix

          public static final String addressbookPrefix

    - #### configFileName

          public static final String configFileName

  - ### Constructor Detail

    - #### ConfigBean

          public ConfigBean()

  - ### Method Detail

    - #### getConfigFileName

          public static String getConfigFileName()

    - #### getfileName

          public String getfileName()

    - #### isSaved

          public boolean isSaved()

    - #### getAction

          public String getAction()

    - #### setAction

          public void setAction(String action)

    - #### getConfig

          public String getConfig()

    - #### setConfig

          public void setConfig(String config)

    - #### getMessages

          public String getMessages()

    - #### getSerial

          public String getSerial()

    - #### setSerial

          public void setSerial(String serial)